diff --git a/debian/python-minimal.postinst b/debian/python-minimal.postinst
index 63645b19250dd5bd505032493b222077a5d94753..b0637f47e0bbf9aa1328e5e0b820dd2d594d7758 100644
--- a/debian/python-minimal.postinst
+++ b/debian/python-minimal.postinst
@@ -1,7 +1,6 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
 
-# runpy.py is not available in pythonX.Y-minimal and thus "python -m compileall"
-# cannot be used, temporary workaround:
-python /usr/lib/python2.6/compileall.py /usr/share/python/ >/dev/null
+python -m compileall /usr/share/python/ >/dev/null
 
 #DEBHELPER#
diff --git a/debian/python-minimal.prerm b/debian/python-minimal.prerm
index 513b85d4e4705efaab505f960fccc17ebded669e..2f12cb1820a6a7f1aeda93ccdfbe772851d3af1b 100644
--- a/debian/python-minimal.prerm
+++ b/debian/python-minimal.prerm
@@ -1,4 +1,6 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
+
 find /usr/share/python/ -name '*.py[oc]' -delete
 
 #DEBHELPER#
diff --git a/debian/python.postinst.in b/debian/python.postinst.in
index 5ed94d95207b37f239090c02815f4012d19bdc0f..83b5da589ac0f35f736f58f18aeca975cb7ce181 100644
--- a/debian/python.postinst.in
+++ b/debian/python.postinst.in
@@ -1,4 +1,5 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
 
 new_config_file()
 {
diff --git a/debian/python.postrm.in b/debian/python.postrm.in
index a818ee316acdb17a373dd855eb6e9259ce34fd6b..0ffa3ceb9e5db94dddab06be267c6129a6f38253 100644
--- a/debian/python.postrm.in
+++ b/debian/python.postrm.in
@@ -1,4 +1,5 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
 
 case "$1" in
     purge)
diff --git a/debian/python.preinst.in b/debian/python.preinst.in
index 746aa793e62722653183d5e354bf92f046b5f9bb..720a6feea7bfead3e2d5b7dc17963ad2224de4c6 100644
--- a/debian/python.preinst.in
+++ b/debian/python.preinst.in
@@ -1,4 +1,5 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
 
 # remove the python alternatives before installing our own python link
 
diff --git a/debian/python.prerm.in b/debian/python.prerm.in
index cafed8e89e16e8043c43aa68b193d15628101e3b..0218969ce35c5ff56b5c837db4970fe6d0860db2 100644
--- a/debian/python.prerm.in
+++ b/debian/python.prerm.in
@@ -1,4 +1,5 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
 
 case "$1" in
     remove)
diff --git a/debian/rules b/debian/rules
index e21d9f840529a129791d534064f2048c0e546e69..0df5a3ddb9e0b076e9500ad15fcce2c05ddff5a7 100755
--- a/debian/rules
+++ b/debian/rules
@@ -20,7 +20,7 @@ export NVER=2.7
 export PVER=python2.6
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.6.5+20100616-1~
+PREVVER := 2.6.5+20100630-2~
 
 PWD		:= $(shell pwd)
 
diff --git a/runtime.d/public_modules.rtinstall b/runtime.d/public_modules.rtinstall
index 92a297b8768a567000e8fa8122376e76d01767ab..4dbc1bf215b8bf04b430d5156b5896ea6711bd15 100755
--- a/runtime.d/public_modules.rtinstall
+++ b/runtime.d/public_modules.rtinstall
@@ -1,4 +1,5 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
 
 VERSION=${2#python}
 if which python >/dev/null 2>&1 && which pycompile >/dev/null 2>&1; then
diff --git a/runtime.d/public_modules.rtremove b/runtime.d/public_modules.rtremove
index 87b5a43e3f7f8504dd8bc75ceceea09c265f65d9..a35738b0a5b843ebfa74544124400a8446ec0987 100755
--- a/runtime.d/public_modules.rtremove
+++ b/runtime.d/public_modules.rtremove
@@ -1,4 +1,5 @@
-#! /bin/sh -e
+#! /bin/sh
+set -e
 
 VERSION=${2#python}
 if which python >/dev/null 2>&1 && which pyclean >/dev/null 2>&1; then